%global _empty_manifest_terminate_build 0
Name:		python-authheaders
Version:	0.13.0
Release:	1
Summary:	A library wrapping email authentication header verification and generation.
License:	MIT and ZPL 2.1
URL:		https://github.com/ValiMail/authentication-headers
Source0:	https://github.com/ValiMail/authentication-headers/archive/%{version}.tar.gz
BuildArch:	noarch

%description
This is a Python library for the generation of email authentication headers.
The library can perform DKIM, SPF, and DMARC validation, and the results
are packaged into the Authentication-Results header.

%package -n python3-authheaders
Summary:	A library wrapping email authentication header verification and generation.
Provides:	python-authheaders
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Requires:       python3-publicsuffix2
Requires:       python3-dkimpy

%description -n python3-authheaders
This is a Python library for the generation of email authentication headers.
The library can perform DKIM, SPF, and DMARC validation, and the results
are packaged into the Authentication-Results header.

%package help
Summary:	Development documents and examples for authheaders
Provides:	python3-authheaders-doc

%description help
Development documents and examples for authheaders.

%prep
%autosetup -n authentication-headers-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-authheaders -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Fri Dec 18 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
